> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/key-link-beta/get-list-of-signing-keys",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get list of signing keys

> Returns the list of signing keys in the workspace



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /key_link/signing_keys
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /key_link/signing_keys:
    get:
      tags:
        - Key Link (Beta)
      summary: Get list of signing keys
      description: Returns the list of signing keys in the workspace
      operationId: getSigningKeysList
      parameters:
        - name: pageCursor
          description: Cursor to the next page
          example: MjAyMy0xMi0xMyAyMDozNjowOC4zMDI=:MTEwMA==
          required: false
          in: query
          schema:
            type: string
        - name: pageSize
          required: false
          in: query
          description: Amount of results to return in the next page
          schema:
            minimum: 1
            maximum: 50
            default: 10
            type: number
        - name: sortBy
          required: false
          in: query
          description: Field(s) to use for sorting
          schema:
            default: createdAt
            enum:
              - createdAt
            type: string
        - in: query
          name: order
          description: Is the order ascending or descending
          required: false
          schema:
            type: string
            enum:
              - ASC
              - DESC
            default: ASC
        - name: vaultAccountId
          required: false
          in: query
          description: Return keys assigned to a specific vault
          example: 4
          schema:
            type: number
        - name: agentUserId
          required: false
          in: query
          description: Return keys associated with a specific agent user
          example: 12fed207-5bdf-4a0c-ab12-fcd2627f75d1
          schema:
            type: string
        - name: algorithm
          required: false
          in: query
          description: Return only keys with a specific algorithm
          example: ECDSA_SECP256K1
          schema:
            enum:
              - ECDSA_SECP256K1
              - EDDSA_ED25519
            type: string
        - name: enabled
          required: false
          in: query
          description: Return keys that have been proof of ownership
          schema:
            type: boolean
        - name: available
          required: false
          in: query
          description: >-
            Return keys that are proof of ownership but not assigned. Available
            filter can be used only when vaultAccountId and enabled filters are
            not set
          schema:
            type: boolean
        - name: isAssigned
          required: false
          in: query
          description: Return keys that are assigned to a vault account
          schema:
            type: boolean
            nullable: true
        - name: keyPrefix
          required: false
          in: query
          description: >-
            A case-insensitive prefix filter that matches records where either
            keyId or signingDeviceKeyID starts with the specified value.
          schema:
            type: string
      responses:
        '200':
          description: >-
            List of signing keys and a data that allows requesting the next page
            if applicable
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSigningKeyResponseDto'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<GetSigningKeyResponseDto>> =
            fireblocks.keyLinkBeta.getSigningKeysList(keyLinkBetaApiGetSigningKeysListRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<GetSigningKeyResponseDto>> response =
            fireblocks.keyLinkBeta().getSigningKeysList(pageCursor, pageSize,
            sortBy, order, vaultAccountId, agentUserId, algorithm, enabled,
            available, isAssigned, keyPrefix);
        - lang: Python
          source: >-
            response =
            fireblocks.key_link_beta.get_signing_keys_list(page_cursor,
            page_size, sort_by, order, vault_account_id, agent_user_id,
            algorithm, enabled, available, is_assigned, key_prefix);
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    GetSigningKeyResponseDto:
      type: object
      properties:
        data:
          description: Response object for getting external signing keys.
          type: array
          items:
            $ref: '#/components/schemas/SigningKeyDto'
        next:
          type: string
          description: The ID of the next page
      required:
        - data
    SigningKeyDto:
      type: object
      properties:
        keyId:
          type: string
          minLength: 36
          maxLength: 36
          example: 46a92767-5f93-4a46-9eed-f012196bb4fc
          description: External signing key id set by Fireblocks.
        signingDeviceKeyId:
          type: string
          maxLength: 256
          example: MyKey1
          description: >-
            The ID, name or label of the key specified on the customer's signing
            device.
        publicKeyPem:
          type: string
          example: '-----BEGIN PUBLIC KEY ... END PUBLIC KEY-----'
          description: PEM encoded public key
        algorithm:
          type: string
          example: ECDSA_SECP256K1
          description: >-
            Algorithm and curve used for the signature. Can be: ECDSA_SECP256K1
            or EDDSA_ED25519
        enabled:
          type: boolean
          example: true
          description: True if the signing key is enabled
        vaultAccountId:
          type: number
          nullable: true
          example: 10
          description: Id of the vault account which this key is linked to
        agentUserId:
          type: string
          minLength: 36
          maxLength: 36
          example: d18847b5-1df6-4c46-8f99-5cce47284529
          description: Id of user that represent agent servers that can sign with the key
        createdAt:
          type: number
          example: 124757537
          description: Creation date (timestamp) in milliseconds.
      required:
        - keyId
        - signingDeviceKeyId
        - publicKeyPem
        - algorithm
        - enabled
        - vaultAccountId
        - agentUserId
        - createdAt
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````